> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Sounds

> Extract TikTok videos with their URLs, likes, country, video and music metadata, and creator data from sound URLs

`$1.9 / 1k videos`

Extract TikTok videos with their URLs, likes, country, video and music metadata, and creator data from sound URLs

## Endpoint

`POST /api/v1/agents/tiktok/sound/run`

## Parameters

<ParamField body="musics" type="array" required>
  **List** · TikTok music URLs (e.g. [https://www.tiktok.com/music/Oh-No-Instrumental-](https://www.tiktok.com/music/Oh-No-Instrumental-)...). One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={100}>
  **Number** · Posts to scrape per music URL. Use 0 for all.
</ParamField>

## Response columns

| Field              | Display name       | Type    |
| ------------------ | ------------------ | ------- |
| `soundUrl`         | Sound URL          | url     |
| `videoUrl`         | Video URL          | url     |
| `caption`          | Caption            | text    |
| `posted`           | Posted             | text    |
| `soundSearched`    | Sound Searched     | text    |
| `soundTotalVideos` | Sound Total Videos | text    |
| `song`             | Song               | text    |
| `album`            | Album              | text    |
| `artist`           | Artist             | text    |
| `originalAudio`    | Original Audio     | boolean |
| `plays`            | Plays              | number  |
| `likes`            | Likes              | number  |
| `comments`         | Comments           | number  |
| `shares`           | Shares             | number  |
| `saves`            | Saves              | number  |
| `authorUrl`        | Author URL         | url     |
| `authorUsername`   | Author Username    | text    |
| `authorName`       | Author Name        | text    |
| `authorFollowers`  | Author Followers   | number  |
| `authorVerified`   | Author Verified    | boolean |
| `videoCover`       | Video Cover        | url     |
| `durationS`        | Duration (s)       | number  |
| `definition`       | Definition         | text    |
| `topHashtag`       | Top Hashtag        | text    |
| `effect`           | Effect             | text    |
| `mentions`         | Mentions           | text    |
| `isAd`             | Is Ad              | boolean |
| `pinned`           | Pinned             | boolean |
| `slideshow`        | Slideshow          | boolean |
| `language`         | Language           | text    |
| `authorAvatar`     | Author Avatar      | url     |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/tiktok/sound/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "musics": [
        "https://www.tiktok.com/music/Oh-No-Instrumental-6889520563052645121"
      ],
      "resultsPerPage": 10
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/tiktok/sound/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "musics": [
          "https://www.tiktok.com/music/Oh-No-Instrumental-6889520563052645121"
      ],
      "resultsPerPage": 10
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "soundUrl": "https://www.tiktok.com/music/Oh-No-Instrumental-6889520563052645121",
      "videoUrl": "https://www.tiktok.com/@francescaspadola/video/7103242920618216710",
      "caption": "#pov #sealion #animal",
      "posted": "2022-05-29T19:30:23.000Z",
      "soundSearched": "Oh-No-Instrumental-6889520563052645121",
      "soundTotalVideos": "803200",
      "song": "Oh No (Instrumental)",
      "album": "Oh No (Instrumental)",
      "artist": "Kreepa",
      "originalAudio": false,
      "plays": 56500000,
      "likes": 8600000,
      "comments": 56700,
      "shares": 353400,
      "saves": 496028,
      "authorUrl": "https://www.tiktok.com/@francescaspadola",
      "authorUsername": "francescaspadola",
      "authorName": "Francesca Spadola",
      "authorFollowers": 45200,
      "authorVerified": false,
      "videoCover": "https://p16-common-sign.tiktokcdn-us.com/tos-maliva-p-0068/047ffca09701434c8c1f345eb150162c~tplv-tiktokx-origin.image?dr=9636&x-expires=1777809600&x-signature=j9nqOySehopYRO3ukMivSsj0OXA%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=useast5",
      "durationS": 8,
      "definition": "540p",
      "topHashtag": null,
      "effect": null,
      "mentions": [],
      "isAd": false,
      "pinned": false,
      "slideshow": false,
      "language": "un",
      "authorAvatar": "https://p16-common-sign.tiktokcdn-us.com/tos-maliva-avt-0068/cbc26f60a2efffbbb55e24da5c071ef5~tplv-tiktokx-cropcenter:720:720.jpeg?dr=9640&refresh_token=e031f47f&x-expires=1777809600&x-signature=H92B9c5zaRM%2BV3bSCyQQm8SuxwU%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=useast5"
    }
  ]
}
```
